USN-6653-4

See a problem?
Source
https://ubuntu.com/security/notices/USN-6653-4
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6653-4.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6653-4
Related
Published
2024-03-04T22:16:36.086007Z
Modified
2024-03-04T22:16:36.086007Z
Summary
linux-gke vulnerabilities
Details

It was discovered that a race condition existed in the ATM (Asynchronous Transfer Mode) subsystem of the Linux kernel, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-51780)

It was discovered that a race condition existed in the AppleTalk networking subsystem of the Linux kernel, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-51781)

Zhenghan Wang discovered that the generic ID allocator implementation in the Linux kernel did not properly check for null bitmap when releasing IDs. A local attacker could use this to cause a denial of service (system crash). (CVE-2023-6915)

Robert Morris discovered that the CIFS network file system implementation in the Linux kernel did not properly validate certain server commands fields, leading to an out-of-bounds read vulnerability. An attacker could use this to cause a denial of service (system crash) or possibly expose sensitive information. (CVE-2024-0565)

Jann Horn discovered that the TLS subsystem in the Linux kernel did not properly handle spliced messages, leading to an out-of-bounds write vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2024-0646)

References

Affected packages

Ubuntu:22.04:LTS / linux-gke

Package

Name
linux-gke

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.15.0-1051.56

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-gke-tools-5.15.0-1051": "5.15.0-1051.56",
            "linux-modules-5.15.0-1051-gke": "5.15.0-1051.56",
            "linux-headers-gke": "5.15.0.1051.50",
            "linux-gke-5.15": "5.15.0.1051.50",
            "linux-headers-5.15.0-1051-gke": "5.15.0-1051.56",
            "linux-gke": "5.15.0.1051.50",
            "linux-gke-headers-5.15.0-1051": "5.15.0-1051.56",
            "linux-buildinfo-5.15.0-1051-gke": "5.15.0-1051.56",
            "linux-image-gke-5.15": "5.15.0.1051.50",
            "linux-image-unsigned-5.15.0-1051-gke": "5.15.0-1051.56",
            "linux-modules-iwlwifi-5.15.0-1051-gke": "5.15.0-1051.56",
            "linux-modules-extra-5.15.0-1051-gke": "5.15.0-1051.56",
            "linux-image-5.15.0-1051-gke": "5.15.0-1051.56",
            "linux-tools-5.15.0-1051-gke": "5.15.0-1051.56",
            "linux-headers-gke-5.15": "5.15.0.1051.50",
            "linux-tools-gke-5.15": "5.15.0.1051.50",
            "linux-image-gke": "5.15.0.1051.50",
            "linux-tools-gke": "5.15.0.1051.50"
        }
    ]
}